Subject: Re: bug#62041: 30.0.50; RET bound to `comint-send-input` in C-mode buffer

From: Stefan Monnier <[email-masked]>
Date: Wed, 08 Mar 2023 15:15:39 -0500

> gud-minor-mode is supposed to show the same Gud menu on the menu bar
> as gud-mode, and is also supposed to support mouse clicking on the
> fringe to set/unset breakpoints.

AFAICT the fringe handling is a separate issue because those bindings
are only placed in the `gud-minor-mode-map`, so the inheritance from
`gud-mode-map` doesn't affect those.

I just pushed a patch which introduces a new map to share the menu
between the two keymaps so `gud-minor-mode-map` doesn't (need to)
inherit from `gud-mode-map` any more.

This should fix the problem (which was also labeled bug#61162 and bug#61271).

        Stefan